Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::DirectionalLight Class Reference

ディレクショナルライト More...

`#include <DirectionalLight.h>`

Inheritance diagram for Lamp::DirectionalLight:

List of all members.

## Public Member Functions
virtual SceneLeaf * | copy (u_int copyMask=0) const
| コピー
virtual Light * | copyLight () const
| コピー
virtual DirectionalLight * | copyDirectionalLight () const
| ディレクショナルライトのコピー
virtual void | setColor (const Color3f &color)
| ライト色の設定
virtual Color3f | getColor () const
| ライト色の取得
virtual void | setDiffuseColor (const Color3f &color)
| ディフューズライト色の設定
virtual const Color3f & | getDiffuseColor () const
| ディフューズライト色の取得
virtual void | setSpecularColor (const Color3f &color)
| スペキュラライト色の設定
virtual const Color3f & | getSpecularColor () const
| スペキュラライト色の取得
virtual void | setDirection (const Vector3 &direction)
| ライトの方向設定
virtual const Vector3 & | getDirection () const
| ライトの方向取得
virtual const Vector3 & | getWorldDirection () const
| ライトのワールド方向取得
virtual bool | isDirectionalLight () const
| ディレクショナルライトかどうか
## Protected Member Functions
| DirectionalLight (const String &name, Scene *scene)
| コンストラクタ
virtual | ~DirectionalLight ()
| デストラクタ
virtual void | traverse (const Matrix34 &parentMatrix, bool parentEnabled, bool parentScaled, bool parentChanged)
| 走査
## Friends
class | LightManager

## Detailed Description

ディレクショナルライト

Definition at line 36 of file DirectionalLight.h.

## Constructor & Destructor Documentation

Lamp::DirectionalLight::DirectionalLight | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 34 of file DirectionalLight.cpp.

## Member Function Documentation

virtual SceneLeaf* Lamp::DirectionalLight::copy | ( | u_int | copyMask = 0 | ) | const`[inline, virtual]`

  | コピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたシーンリーフ Implements Lamp::SceneLeaf. Definition at line 45 of file DirectionalLight.h. References copyDirectionalLight().

DirectionalLight * Lamp::DirectionalLight::copyDirectionalLight | ( |  | ) | const`[virtual]`

| ディレクショナルライトのコピー Returns: コピーされたモデル Definition at line 45 of file DirectionalLight.cpp. References copyLight(), Lamp::Light::copyLightValue(), Lamp::LightManager::createDirectionalLight(), Lamp::Scene::getLightManager(), Lamp::SceneObject::name_, Lamp::SceneObjectManagerTemplate< Light >::rename(), Lamp::SceneObject::scene_, setDiffuseColor(), setDirection(), and setSpecularColor(). Referenced by copy(), and copyLight().

virtual Light* Lamp::DirectionalLight::copyLight | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたライト Implements Lamp::Light. Definition at line 53 of file DirectionalLight.h. References copyDirectionalLight(). Referenced by copyDirectionalLight().

virtual Color3f Lamp::DirectionalLight::getColor | ( |  | ) | const`[inline, virtual]`

| ライト色の取得 Returns: ライト色 Implements Lamp::Light. Definition at line 74 of file DirectionalLight.h. References Lamp::Color3f::b, Lamp::Color3f::g, and Lamp::Color3f::r.

virtual const Color3f& Lamp::DirectionalLight::getDiffuseColor | ( |  | ) | const`[inline, virtual]`

| ディフューズライト色の取得 Returns: ディフューズライト色 Definition at line 92 of file DirectionalLight.h. Referenced by Lamp::RenderingDevice::enableDirectionalLight(), Lamp::TextSceneSaver::writeDirectionalLight(), and Lamp::BinarySceneSaver::writeDirectionalLight().

virtual const Vector3& Lamp::DirectionalLight::getDirection | ( |  | ) | const`[inline, virtual]`

| ライトの方向取得 Returns: ライトの方向 Definition at line 124 of file DirectionalLight.h. Referenced by Lamp::TextSceneSaver::writeDirectionalLight(), and Lamp::BinarySceneSaver::writeDirectionalLight().

virtual const Color3f& Lamp::DirectionalLight::getSpecularColor | ( |  | ) | const`[inline, virtual]`

| スペキュラライト色の取得 Returns: スペキュラライト色 Definition at line 107 of file DirectionalLight.h. Referenced by Lamp::RenderingDevice::enableDirectionalLight(), Lamp::TextSceneSaver::writeDirectionalLight(), and Lamp::BinarySceneSaver::writeDirectionalLight().

virtual const Vector3& Lamp::DirectionalLight::getWorldDirection | ( |  | ) | const`[inline, virtual]`

| ライトのワールド方向取得 Returns: ライトのワールド方向 Definition at line 130 of file DirectionalLight.h. References Assert, Lamp::SceneLeaf::getParent(), and NULL. Referenced by Lamp::RenderingDevice::enableDirectionalLight().

virtual bool Lamp::DirectionalLight::isDirectionalLight | ( |  | ) | const`[inline, virtual]`

| ディレクショナルライトかどうか Returns: ディレクショナルライトならtrue Reimplemented from Lamp::Light. Definition at line 140 of file DirectionalLight.h. Referenced by Lamp::DrawRequest::addDirectionalLight().

virtual void Lamp::DirectionalLight::setColor | ( | const Color3f & | color | ) | `[inline, virtual]`

  | ライト色の設定 Parameters:
  color | ライト色
Implements Lamp::Light. Definition at line 66 of file DirectionalLight.h.

virtual void Lamp::DirectionalLight::setDiffuseColor | ( | const Color3f & | color | ) | `[inline, virtual]`

  | ディフューズライト色の設定 Parameters:
  color | ディフューズライト色
Definition at line 86 of file DirectionalLight.h. Referenced by copyDirectionalLight(), Lamp::TextSceneLoader::readDirectionalLight(), and Lamp::BinarySceneLoader::readDirectionalLight().

virtual void Lamp::DirectionalLight::setDirection | ( | const Vector3 & | direction | ) | `[inline, virtual]`

  | ライトの方向設定 Parameters:
  direction | ライトの方向
Definition at line 114 of file DirectionalLight.h. References Lamp::Vector3::normalize(). Referenced by copyDirectionalLight(), Lamp::TextSceneLoader::readDirectionalLight(), and Lamp::BinarySceneLoader::readDirectionalLight().

virtual void Lamp::DirectionalLight::setSpecularColor | ( | const Color3f & | color | ) | `[inline, virtual]`

  | スペキュラライト色の設定 Parameters:
  color | スペキュラライト色
Definition at line 99 of file DirectionalLight.h. Referenced by copyDirectionalLight(), Lamp::TextSceneLoader::readDirectionalLight(), and Lamp::BinarySceneLoader::readDirectionalLight().

void Lamp::DirectionalLight::traverse | ( | const Matrix34 & | parentMatrix,
|  | bool | parentEnabled,
|  | bool | parentScaled,
|  | bool | parentChanged
| ) | `[protected, virtual]`

  | 走査 Parameters:
  parentMatrix | 親行列
  parentEnabled | 親が有効か
  parentScaled | 親がスケールを使用しているか
  parentChanged | 親に変更があったか
Reimplemented from Lamp::SceneLeaf. Definition at line 59 of file DirectionalLight.cpp. References Assert, Lamp::Vector3::isUnit(), Lamp::Matrix34::multiply33(), and Lamp::Vector3::normalize().

The documentation for this class was generated from the following files:

- DirectionalLight.h
- DirectionalLight.cpp